package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.shinestar.modules.base.entity.PersonPopedom;
import com.jpsoft.shinestar.modules.business.entity.SupplementWork;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface SupplementWorkService {
	SupplementWork get(String id);
	boolean exist(String id);
	int insert(SupplementWork model);
	int update(SupplementWork model);
	int delete(String id);
	List<SupplementWork> list();
	Page<SupplementWork> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    String supplementWorkSubmit(PersonPopedom personPopedom, String id, String reason,String imageUrl, String formId,String ids,String draft) throws Exception;

    String supplementWorkBatchSubmit(PersonPopedom personPopedom, String date,String personIds, String reason, String imageUrl, String formId,String ids,String draft) throws Exception;
}